Skip to navigation

Get a filter

View as Markdown
Retrieve details of a single filter within a directory

Authentication

AuthorizationToken

Your API key, sent as Authorization: Token <your API key>

Path parameters

filterIdstringRequiredformat: "uuid"
ID of the filter to retrieve

Response

Details of the filter
hrefstringRead-only
idstringformat: "uuid"
typestring
namestring<=150 characters
slugstring
orderinteger>=0
parentFilterIdstringformat: "uuid"
parentFilterSlugstring
filterOptionsstringRead-only
multipleSelectFromDashboardboolean
multipleSelectFromDirectoryboolean
userAssignableboolean
displayInDirectoryboolean
displayInInternalDirectoryboolean
displayInEntryProfileboolean
displayInInternalEntryProfileboolean
displayInEntryProfileMainAreaboolean
requiredboolean
overridesobject or null
Visibility rule of the filter, or null when it has none.
assignmentDescriptionstring or nullOptional<=150 characters
multipleLimitinteger or nullOptional1-250
isLocationbooleanOptionalDefaults to false
Whether this is one of the Country, Region and City filters, which visitors pick from as one Location filter.

Errors

404
Not Found Error